Main Page Namespace List Class Hierarchy Alphabetical List Compound List Namespace Members Compound Members Related Pages

# PluginClass::SuperClassIdC Class Reference

Plugin super class ID. More...

`#include <ClassIdC.h>`

List of all members.

## Public Methods

- SuperClassIdC ()
- SuperClassIdC ( PajaTypes::uint32 ui32SuperClass )
- SuperClassIdC ( const SuperClassIdC& rClassId )
- virtual ~SuperClassIdC ()
- PajaTypes::uint32 get_class () const
- bool operator== ( const SuperClassIdC& rClassId ) const
- bool operator!= ( const SuperClassIdC& rClassId ) const
- SuperClassIdC& operator= ( const SuperClassIdC& rClassId )

## Detailed Description

Plugin super class ID.

Super class IDs are system defined constants which describes the class the plugin class is derived from. For example all effects are derived from EffectI and the plugin class recriptor should return SUPERCLASS_EFFECT (defined in EffectI.h). The super class ID is more important in imported files where, for example, all image loaders have same interface and the effect plugin class can use any type of image to work with. Super class ID consists of one 32-bit unsigned integer number.

This class is implemented by the system.

## Constructor & Destructor Documentation

SuperClassIdC ( | )

| Default constructor, assigns the number to zero (NULL super class ID).

SuperClassIdC ( | PajaTypes::uint32 ui32SuperClass )

| Creates a new super class ID with the same values as the argument.

SuperClassIdC ( | const SuperClassIdC & rClassId )

| Copy constructor, creates a new super class ID with the same values as the argument.

~SuperClassIdC ( | )`[virtual]`

| Default Destructor.

## Member Function Documentation

PajaTypes::uint32 get_class ( | ) const

| Returns the super class ID.

bool operator!= ( | const SuperClassIdC & rClassId ) const

| Returns true if the super class IDs are non-equal, else false.

SuperClassIdC & operator= ( | const SuperClassIdC & rClassId )

| Copy operator.

bool operator== ( | const SuperClassIdC & rClassId ) const

| Returns true if the super class IDs are equal, else false.

The documentation for this class was generated from the following file:

- ClassIdC.h